package com.kakao.auth;

import java.security.InvalidParameterException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

public enum ApprovalType {
    INDIVIDUAL,
    PROJECT;
    
    public static final Map<String, ApprovalType> REVERSE_MAP = null;

    public final String toString() {
        return super.toString().toLowerCase(Locale.ROOT);
    }

    /* access modifiers changed from: public */
    static {
        int i;
        REVERSE_MAP = new HashMap();
        for (ApprovalType approvalType : values()) {
            REVERSE_MAP.put(approvalType.toString(), approvalType);
        }
    }

    public static ApprovalType getApprovalTypeByString(String str) {
        if (str == null) {
            return null;
        }
        ApprovalType approvalType = REVERSE_MAP.get(str);
        if (approvalType != null) {
            return approvalType;
        }
        throw new InvalidParameterException("ApprovalType is one of " + Arrays.toString(values()));
    }
}
